MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022805Community[OCCT] OCCT:Data Exchangepublic2011-11-11 13:552012-03-29 17:26
Reporterszy 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.3Fixed in Version[OCCT] 6.5.3 
Summary0022805: Bug of STEP read /writer
DescriptionPost from the Forum - http://www.opencascade.org/org/forum/thread_22164/. [^]
"After exporting a B-spline surface to STEP and importing it back to OCC, the surface is not displayed correctly in shaded mode (see image in the appendix). Wireframe mode is displayed correctly, also iso-lines can be shown, so the geometry is basically there, but shading fails. As far as I know such problems often point to some geometrical problems.

The problem occurs only after the surface was sewed together with other surfaces to form a solid.
However, according to DRAW's "checkshape" this solid is valid.
Furthermore, the problem does not occur if the surface spans less than 360°.

The problem occurs in OCC 6.5.1 as well as in OCC 6.3.1. Other versions, I dind't test.

With other export formats (BREP, IGES, STL) there is no problem.

I append some brep files:
spiral_original_surface.brep the surface before sewing (no problem)
spiral_solid.brep the sewed solid
spiral_solid_face.brep the surface after sewing
spiral_solid_359_degree the sewed solid spanning only 359 degree (no problem)
"

Bug is reproduced under OCCT6.5.2 also.
Shape before export in step is valid, but after import becomes invalid.
See below bug reproducer.
Steps To Reproduce> pload ALL
> restore spiral_solid.brep s
> checkshape s
## Ok
> stepwrite 0 s s.stp
> stepread s.stp r *
> checkshape r_1
## On Shape faulty_1 :
## BRepCheck_SelfIntersectingWire
## On Shape faulty_2 :
##BRepCheck_UnorientableShape
##Shape faulty_1 on shape faulty_2 :
##BRepCheck_SelfIntersectingWire

##Faulty shapes in variables faulty_1 to faulty_2
Additional information
and documentation updates
Modified the process of translating edge loop from STEP file to OCC: if computation of 2D parameter of vertices on edge gives the same result, update range of edge isn't done.
TagsNo tags attached.
Test case numberchl 934 R7
Attached Fileszip file icon Spiral.zip (329,099 bytes) 2011-11-11 13:55
? file icon R7 (948 bytes) 2012-02-10 10:01

- Relationships

-  Notes
(0019393)
ama (developer)
2012-02-03 18:55

SVN branch http://svn/svn/occt/branches/OCC22805 [^] (revision 10306) is ready to be reviewed.
(0019499)
apn (administrator)
2012-02-10 10:00
edited on: 2012-02-10 10:00

Dear BugMaster,
  Workbench KAS:dev:apn-22805-occt was created from SVN branch http://svn/svn/occt/branches/OCC22805 [^]
  (and apn-22805-products from trunk) and compiled on Linux and Windows platforms.
  
  There are not regressions in apn-22805-products regarding to KAS:dev:products-20120203-opt

Test case for this fix is chl 934 R7. It's OK.
 
  See results in /QADisk/occttests/results/KAS/dev/ apn-22805-products_08022012/lin
  See reference results in /QADisk/occttests/results/KAS/dev/products-20120203-opt_03022012/lin
  See test cases in /QADisk/occttests/tests/ED

(0019507)
bugmaster (administrator)
2012-02-10 14:27

Integrated into trunk of occt repository

Date: 2012-02-10 14:09:30 +0400 (Fri, 10 Feb 2012)
New Revision: 10410

Modified:
   trunk/src/StepToTopoDS/StepToTopoDS_TranslateEdgeLoop.cxx

- Related Changesets
occt: master e65d641a
Timestamp: 2012-02-10 10:09:30
Author: ama
Committer: bugmaster
Details ] Diff ]
0022805: Bug of STEP read /writer
mod - src/StepToTopoDS/StepToTopoDS_TranslateEdgeLoop.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2011-11-11 13:55 szy New Issue
2011-11-11 13:55 szy Assigned To => gka
2011-11-11 13:55 szy File Added: Spiral.zip
2011-12-15 16:17 abv Assigned To gka => ama
2011-12-15 16:17 abv Status new => assigned
2012-02-03 18:55 ama Note Added: 0019393
2012-02-03 18:56 ama Assigned To ama => gka
2012-02-03 18:56 ama Status assigned => resolved
2012-02-06 12:10 gka Assigned To gka => ama
2012-02-06 12:10 gka Status resolved => reviewed
2012-02-08 12:40 apn Test case number => chl 934 R7
2012-02-10 10:00 apn Note Added: 0019499
2012-02-10 10:00 apn Note Edited: 0019499 View Revisions
2012-02-10 10:01 apn File Added: R7
2012-02-10 10:01 apn Status reviewed => tested
2012-02-10 14:27 bugmaster Note Added: 0019507
2012-02-10 14:27 bugmaster Status tested => verified
2012-02-10 14:27 bugmaster Resolution open => fixed
2012-02-10 18:08 ama Additional Information Updated View Revisions
2012-02-10 18:10 ama Additional Information Updated View Revisions
2012-03-29 17:26 bugmaster Changeset attached => occt master e65d641a


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker